Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Class TerminatedIntIterator

    java.lang.Object
      net.sf.saxon.sort.TerminatedIntIterator

All Implemented Interfaces:
  IntIterator

    public class TerminatedIntIterator

extends java.lang.Object
implements IntIterator

An iterator over a sequence of integers held in an array. The array may either be exactly the right size, or may be terminated by an end-of-sequence value.

This data structure is generally used for a sequence of namespace codes.

Constructor Summary
`TerminatedIntIterator(int[] values)` Construct an iterator over a sequence of integers held in an array, with the value -1 acting as the terminator
`TerminatedIntIterator(int[] values, int terminator)` Construct an iterator over a sequence of integers held in an array, with a specified value acting as the terminator

Method Summary
`boolean` | `hasNext()` Test whether there are any more integers in the sequence
`int` | `next()` Return the next integer in the sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminatedIntIterator

    public TerminatedIntIterator(int[] values)

  Construct an iterator over a sequence of integers held in an array, with the value -1 acting as the terminator

  Parameters:
    `values` - the sequence of integers

### TerminatedIntIterator

    public TerminatedIntIterator(int[] values,
                                 int terminator)

  Construct an iterator over a sequence of integers held in an array, with a specified value acting as the terminator

  Parameters:
    `values` - the sequence of integers
    `terminator` - the terminator value

Method Detail

### hasNext

    public boolean hasNext()

  Test whether there are any more integers in the sequence

  Specified by:
    `hasNext` in interface `IntIterator`
  Returns:
    true if there are more integers to come

### next

    public int next()

  Return the next integer in the sequence. The result is undefined unless hasNext() has been called and has returned true.

  Specified by:
    `next` in interface `IntIterator`
  Returns:
    the next integer in the sequence

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.